Contract.PatientEntry

com.uva.rafael.tfg_goniometer.data

## Class Contract.PatientEntry

- java.lang.Object
- - com.uva.rafael.tfg_goniometer.data.Contract.PatientEntry

- Enclosing class:
    Contract

      public abstract static class Contract.PatientEntry
      extends java.lang.Object

  Tabla PACIENTE

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMENTARIOS`
    `static java.lang.String` | `DIAGNOSTICO`
    `static java.lang.String` | `DIRECCION`
    `static java.lang.String` | `EDAD`
    `static java.lang.String` | `ID`
    `static java.lang.String` | `NOMBRE`
    `static java.lang.String` | `SEXO`
    `static java.lang.String` | `SINTOMAS`
    `static java.lang.String` | `TABLE_NAME`
    `static java.lang.String` | `TAGS`
    `static java.lang.String` | `TELEFONO`
    `static java.lang.String` | `TRATAMIENTO_ACTUAL`
    `static java.lang.String` | `TRATAMIENTO_PREVIO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatientEntry()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TABLE_NAME

          public static final java.lang.String TABLE_NAME

      See Also:
        Constant Field Values

    - #### NOMBRE

          public static final java.lang.String NOMBRE

      See Also:
        Constant Field Values

    - #### EDAD

          public static final java.lang.String EDAD

      See Also:
        Constant Field Values

    - #### SEXO

          public static final java.lang.String SEXO

      See Also:
        Constant Field Values

    - #### ID

          public static final java.lang.String ID

      See Also:
        Constant Field Values

    - #### DIAGNOSTICO

          public static final java.lang.String DIAGNOSTICO

      See Also:
        Constant Field Values

    - #### TAGS

          public static final java.lang.String TAGS

      See Also:
        Constant Field Values

    - #### TELEFONO

          public static final java.lang.String TELEFONO

      See Also:
        Constant Field Values

    - #### DIRECCION

          public static final java.lang.String DIRECCION

      See Also:
        Constant Field Values

    - #### SINTOMAS

          public static final java.lang.String SINTOMAS

      See Also:
        Constant Field Values

    - #### TRATAMIENTO_PREVIO

          public static final java.lang.String TRATAMIENTO_PREVIO

      See Also:
        Constant Field Values

    - #### TRATAMIENTO_ACTUAL

          public static final java.lang.String TRATAMIENTO_ACTUAL

      See Also:
        Constant Field Values

    - #### COMENTARIOS

          public static final java.lang.String COMENTARIOS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PatientEntry

          public PatientEntry()